[DEFAULT]
debug = True
use_stderr = False
log_file = 

[auth]
use_dynamic_credentials = True
admin_username = tempest_keystone_cntt-user_6e97b819-3071-4456-826d-806c5ec77687
admin_password = Qza8iMU4.rhk>(?*8@@HH7Sn<PV9x4
admin_project_name = tempest_keystone_c-project_6e97b819-3071-4456-826d-806c5ec77687
admin_domain_name = Default

[compute]
image_ref = 43389df9-a517-4b8f-9969-77f72522d14d
image_ref_alt = 9c8b7696-d7a6-464c-a0a7-5d69dbaef378
flavor_ref = 3b5764d4-ef7d-480e-94d7-563eab90d6f9
flavor_ref_alt = 804ff9a6-98b2-4998-8d8c-68e15aaf6357
fixed_network_name = tempest_keystone_cntt-net_6e97b819-3071-4456-826d-806c5ec77687
volume_device_name = sdb
min_compute_nodes = 2
endpoint_type = public
max_microversion = 2.79

[compute-feature-enabled]
live_migration = True
resize = True
vnc_console = True
attach_encrypted_volume = False
block_migration_for_live_migration = False
block_migrate_cinder_iscsi = False
change_password = False
cold_migration = True
config_drive = True
console_output = True
disk_config = True
enable_instance_password = True
interface_attach = True
live_migrate_back_and_forth = False
metadata_service = True
pause = True
personality = False
rdp_console = False
rescue = True
scheduler_available_filters = RetryFilter,AvailabilityZoneFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter,SameHostFilter,DifferentHostFilter
serial_console = False
shelve = True
snapshot = True
spice_console = False
suspend = True
swap_volume = False
volume_backed_live_migration = False
volume_multiattach = False

[data-processing]
endpoint_type = public

[identity]
region = RegionOne
auth_version = v3
uri = http://172.30.12.85/identity/v2.0
uri_v3 = http://172.30.12.85/identity/v3
v2_endpoint_type = public
v3_endpoint_type = public
disable_ssl_certificate_validation = False
ca_certificates_file = 
admin_role = admin
default_domain_id = default
user_unique_last_password_count = 2
user_lockout_duration = 10
user_lockout_failure_attempts = 2

[identity-feature-enabled]
trust = True
api_v2 = False
api_v2_admin = False
security_compliance = True
federation = False
external_idp = False
project_tags = True
application_credentials = True

[image-feature-enabled]
deactivate_image = True
api_v2 = True
api_v1 = False

[input-scenario]
ssh_user_regex = [["^.*[Cc]irros.*$", "cirros"], ["^.*[Tt]est[VvMm].*$", "cirros"], ["^.*rally_verify.*$", "cirros"]]

[network]
public_network_id = e19a0777-f8a3-47b0-a791-740ade92af84
floating_network_name = public
default_network = 192.168.120.0/24
project_network_cidr = 192.168.120.0/24
project_networks_reachable = False
endpoint_type = public

[network-feature-enabled]
ipv6_subnet_attributes = True
ipv6 = True
api_extensions = address-scope,agent,agent-resources-synced,allowed-address-pairs,auto-allocated-topology,availability_zone,availability_zone_filter,default-subnetpools,dhcp_agent_scheduler,dns-integration,empty-string-filtering,external-net,extra_dhcp_opt,extraroute,flavors,ip-substring-filtering,router,ext-gw-mode,multi-provider,net-mtu,net-mtu-writable,network_availability_zone,network-ip-availability,pagination,port-mac-address-regenerate,port-resource-request,binding,binding-extended,port-security,project-id,provider,qos,qos-bw-limit-direction,qos-bw-minimum-ingress,qos-default,qos-rule-type-details,qos-rules-alias,quotas,quota_details,rbac-policies,rbac-security-groups,revision-if-match,standard-attr-revisions,port-security-groups-filtering,security-group,service-type,sorting,standard-attr-description,subnet_onboard,subnet-service-types,subnet_allocation,subnetpool-prefix-ops,standard-attr-tag,standard-attr-timestamp,trunk,trunk-details
port_admin_state_change = True
port_security = True
floating_ips = True

[object-storage]
operator_role = member
reseller_admin_role = ResellerAdmin
endpoint_type = public

[oslo_concurrency]
lock_path = 

[orchestration]
instance_type = 
stack_owner_role = heat_stack_owner
stack_user_role = heat_stack_user
endpoint_type = public

[scenario]
img_dir = /home/opnfv/functest/images
img_file = cirros-0.4.0-x86_64-disk.img
img_disk_format = qcow2
img_properties = hw_scsi_model:virtio-scsi,hw_disk_bus:scsi

[service_available]
cinder = True
glance = True
heat = True
ironic = False
neutron = True
nova = True
sahara = False
swift = True

[validation]
run_validation = True
image_ssh_user = cirros
connect_method = floating

[volume-feature-enabled]
bootable = True
multi_backend = False
backup = True
snapshot = True
clone = True
manage_snapshot = True
manage_volume = True
extend_attached_volume = False
consistency_group = False
volume_revert = True

[volume]
endpoint_type = public
max_microversion = 3.59
storage_protocol = ceph
manage_volume_ref = source-name,volume-%s
manage_snapshot_ref = source-name,snapshot-%s

[image]
endpoint_type = public

[placement]
max_microversion = 1.36

[load_balancer]
test_with_noop = True

[neutron_plugin_options]
agent_availability_zone = nova
available_type_drivers = flat,geneve,vlan,local
provider_vlans = public,

[object-storage-feature-enabled]
discoverable_apis = account_quotas,formpost,bulk_upload,bulk_delete,tempurl,crossdomain,container_quotas,staticweb,account_quotas,slo
object_versioning = True
discoverability = True

